//+------------------------------------------------------------------+
//|                                         MQL4.TradeSpeed.Sync.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                              http://www.mql4.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.mql4.com"

//--- input parameters
extern int  ExtSyncDealsCounter=10;
//+------------------------------------------------------------------+
//|                                |
//+------------------------------------------------------------------+
void StartTrades(int deals_sync)
  {
//--- 
   if(deals_sync<1) return;
//---      
   Alert("");
   Alert("1.  ",deals_sync,"  , ...");
//---    
   int    errors=0;
	double point=MarketInfo(Symbol(),MODE_POINT);
   int    start=GetTickCount();

   for(int i=0;i<deals_sync;i++)
     {
      //---   
      if(OrderSend(Symbol(),OP_BUY,0.1,MarketInfo(Symbol(),MODE_ASK),0,0,0)<1)
        {
         errors++;
         Print("   #",i,"  - ",GetLastError());
         break;
        }
     }
//---    
   start=GetTickCount()-start;
   if(start>0)
      Alert("2.  ",deals_sync,"    ",start," ms, ",start/deals_sync," ms  , ",errors," ");
//---
	return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
   StartTrades(ExtSyncDealsCounter);
  }
//+------------------------------------------------------------------+

